% anal_deriv_print2f_1st.m
% Converting symbolic objects to an m-file for numeric avaluation.
% inputs: anal_deriv.m (symbolic) output
%         approx: 1 or 2 approximation order
%         filename: ' ...' name of the file to append to '_num_eval'
%         byrow: 1 or 0. If 1 the printed file is with many lines, if 0 viceversa
% output: m-file "filename_num_eval.m" 

% by Andrea Pescatori Jun 18 2008, modified Aug 08
%Modified by SSG and MUE on 10/15/2008
function anal_deriv_print2f(filename,fx,fxp,fy,fyp,f,ETASHOCK,varme);

fid=fopen([filename,'_num_eval.m'],'w');
fprintf(fid,'%% File name: %s_num_eval.m \n',filename);
fprintf(fid,'%% File generated by anal_deriv_print2f.m Date: %s\n\n',date);

S = char(fx(:));
S=['nfx=', S(8:end-1),';\n'];  
S=regexprep(S, ',', '\r'); 
fprintf(fid,S);


S = char(fxp(:));
S=['nfxp=', S(8:end-1),';\n']; 
S=regexprep(S, ',', '\r');
fprintf(fid,S);

S = char(fy(:));
S=['nfy=', S(8:end-1),';\n'];
S=regexprep(S, ',', '\r'); 
fprintf(fid,S);

S = char(fyp(:));
S=['nfyp=', S(8:end-1),';\n']; 
S=regexprep(S, ',', '\r'); 
fprintf(fid,S);

S = char(f(:));
S=['nf=', S(8:end-1),';\n']; 
S=regexprep(S, ',', '\r'); 
fprintf(fid,S);

S = char(ETASHOCK(:));
S=['nETASHOCK=', S(8:end-1),';\n'];  
S=regexprep(S, ',', '\r');
fprintf(fid,S);

S2F = ['nfx=reshape(nfx,[', num2str(size(fx)),']);\n'];  % (1)
fprintf(fid,S2F);

S2F = ['nfxp=reshape(nfxp,[', num2str(size(fxp)),']);\n'];  % (1)
fprintf(fid,S2F);

S2F = ['nfy=reshape(nfy,[', num2str(size(fy)),']);\n'];  % (1)
fprintf(fid,S2F);

S2F = ['nfyp=reshape(nfyp,[', num2str(size(fyp)),']);\n'];  % (1)
fprintf(fid,S2F);

S2F = ['nf=reshape(nf,[', num2str(size(f)),']);\n\n'];  % (1)
fprintf(fid,S2F);

S2F = ['nETASHOCK=reshape(nETASHOCK,[', num2str(size(ETASHOCK)),']);\n'];  % (1)
fprintf(fid,S2F);


if nargin>7

S = char(varme(:));
S=['nvarme=', S(8:end-1),';\n']; 
S=regexprep(S, ',', '\r'); 
fprintf(fid,S);

S2F = ['nvarme=reshape(nvarme,[', num2str(size(varme)),']);\n'];  % (1)
fprintf(fid,S2F);

end



    fclose(fid);
